package com.beanpodtech.allinone.bean;

import java.util.List;

public class FreeFilterBean extends BaseRequestBean {

    private List<LevelBean> level;

    public List<LevelBean> getLevel() {
        return level;
    }

    public void setLevel(List<LevelBean> level) {
        this.level = level;
    }

    public static class LevelBean {
        /**
         * filterLevelName : 高一
         * filterLevelId : 1
         * description : 年级
         * types : [{"filterTypeName":"同步筑基","filterTypeId":"1","description":"类型","subjects":[{"filterSubjectName":"数学","filterSubjectId":"1","description":"科目","teachers":[{"filterTeacherName":"张三","filterTeacherId":"1","description":"名师","outLines":[{"filterOutlineName":"大纲一","filterOutlineId":"1","description":"大纲","outLineclassifications":[{"filterOutLineclassificationName":"小纲一","filterOutLineclassificationId":"1","description":"小纲"}]}]}]}]}]
         */

        private String filterLevelName;
        private String filterLevelId;
        private String description;
        private List<TypesBean> types;

        public String getFilterLevelName() {
            return filterLevelName;
        }

        public void setFilterLevelName(String filterLevelName) {
            this.filterLevelName = filterLevelName;
        }

        public String getFilterLevelId() {
            return filterLevelId;
        }

        public void setFilterLevelId(String filterLevelId) {
            this.filterLevelId = filterLevelId;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public List<TypesBean> getTypes() {
            return types;
        }

        public void setTypes(List<TypesBean> types) {
            this.types = types;
        }

        public static class TypesBean {
            /**
             * filterTypeName : 同步筑基
             * filterTypeId : 1
             * description : 类型
             * subjects : [{"filterSubjectName":"数学","filterSubjectId":"1","description":"科目","teachers":[{"filterTeacherName":"张三","filterTeacherId":"1","description":"名师","outLines":[{"filterOutlineName":"大纲一","filterOutlineId":"1","description":"大纲","outLineclassifications":[{"filterOutLineclassificationName":"小纲一","filterOutLineclassificationId":"1","description":"小纲"}]}]}]}]
             */

            private String filterTypeName;
            private String filterTypeId;
            private String description;
            private List<SubjectsBean> subjects;

            public String getFilterTypeName() {
                return filterTypeName;
            }

            public void setFilterTypeName(String filterTypeName) {
                this.filterTypeName = filterTypeName;
            }

            public String getFilterTypeId() {
                return filterTypeId;
            }

            public void setFilterTypeId(String filterTypeId) {
                this.filterTypeId = filterTypeId;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public List<SubjectsBean> getSubjects() {
                return subjects;
            }

            public void setSubjects(List<SubjectsBean> subjects) {
                this.subjects = subjects;
            }

            public static class SubjectsBean {
                /**
                 * filterSubjectName : 数学
                 * filterSubjectId : 1
                 * description : 科目
                 * teachers : [{"filterTeacherName":"张三","filterTeacherId":"1","description":"名师","outLines":[{"filterOutlineName":"大纲一","filterOutlineId":"1","description":"大纲","outLineclassifications":[{"filterOutLineclassificationName":"小纲一","filterOutLineclassificationId":"1","description":"小纲"}]}]}]
                 */

                private String filterSubjectName;
                private String filterSubjectId;
                private String description;
                private List<TeachersBean> teachers;

                public String getFilterSubjectName() {
                    return filterSubjectName;
                }

                public void setFilterSubjectName(String filterSubjectName) {
                    this.filterSubjectName = filterSubjectName;
                }

                public String getFilterSubjectId() {
                    return filterSubjectId;
                }

                public void setFilterSubjectId(String filterSubjectId) {
                    this.filterSubjectId = filterSubjectId;
                }

                public String getDescription() {
                    return description;
                }

                public void setDescription(String description) {
                    this.description = description;
                }

                public List<TeachersBean> getTeachers() {
                    return teachers;
                }

                public void setTeachers(List<TeachersBean> teachers) {
                    this.teachers = teachers;
                }

                public static class TeachersBean {
                    /**
                     * filterTeacherName : 张三
                     * filterTeacherId : 1
                     * description : 名师
                     * outLines : [{"filterOutlineName":"大纲一","filterOutlineId":"1","description":"大纲","outLineclassifications":[{"filterOutLineclassificationName":"小纲一","filterOutLineclassificationId":"1","description":"小纲"}]}]
                     */

                    private String filterTeacherName;
                    private String filterTeacherId;
                    private String description;
                    private List<OutLinesBean> outLines;

                    public String getFilterTeacherName() {
                        return filterTeacherName;
                    }

                    public void setFilterTeacherName(String filterTeacherName) {
                        this.filterTeacherName = filterTeacherName;
                    }

                    public String getFilterTeacherId() {
                        return filterTeacherId;
                    }

                    public void setFilterTeacherId(String filterTeacherId) {
                        this.filterTeacherId = filterTeacherId;
                    }

                    public String getDescription() {
                        return description;
                    }

                    public void setDescription(String description) {
                        this.description = description;
                    }

                    public List<OutLinesBean> getOutLines() {
                        return outLines;
                    }

                    public void setOutLines(List<OutLinesBean> outLines) {
                        this.outLines = outLines;
                    }

                    public static class OutLinesBean {
                        /**
                         * filterOutlineName : 大纲一
                         * filterOutlineId : 1
                         * description : 大纲
                         * outLineclassifications : [{"filterOutLineclassificationName":"小纲一","filterOutLineclassificationId":"1","description":"小纲"}]
                         */

                        private String filterOutlineName;
                        private String filterOutlineId;
                        private String description;
                        private List<OutLineclassificationsBean> outLineclassifications;

                        public String getFilterOutlineName() {
                            return filterOutlineName;
                        }

                        public void setFilterOutlineName(String filterOutlineName) {
                            this.filterOutlineName = filterOutlineName;
                        }

                        public String getFilterOutlineId() {
                            return filterOutlineId;
                        }

                        public void setFilterOutlineId(String filterOutlineId) {
                            this.filterOutlineId = filterOutlineId;
                        }

                        public String getDescription() {
                            return description;
                        }

                        public void setDescription(String description) {
                            this.description = description;
                        }

                        public List<OutLineclassificationsBean> getOutLineclassifications() {
                            return outLineclassifications;
                        }

                        public void setOutLineclassifications(List<OutLineclassificationsBean> outLineclassifications) {
                            this.outLineclassifications = outLineclassifications;
                        }

                        public static class OutLineclassificationsBean {
                            /**
                             * filterOutLineclassificationName : 小纲一
                             * filterOutLineclassificationId : 1
                             * description : 小纲
                             */

                            private String filterOutLineclassificationName;
                            private String filterOutLineclassificationId;
                            private String description;

                            public String getFilterOutLineclassificationName() {
                                return filterOutLineclassificationName;
                            }

                            public void setFilterOutLineclassificationName(String filterOutLineclassificationName) {
                                this.filterOutLineclassificationName = filterOutLineclassificationName;
                            }

                            public String getFilterOutLineclassificationId() {
                                return filterOutLineclassificationId;
                            }

                            public void setFilterOutLineclassificationId(String filterOutLineclassificationId) {
                                this.filterOutLineclassificationId = filterOutLineclassificationId;
                            }

                            public String getDescription() {
                                return description;
                            }

                            public void setDescription(String description) {
                                this.description = description;
                            }
                        }
                    }
                }
            }
        }
    }
}
